Bug 47437 - Add File API feature guard to all typed array files
Summary: Add File API feature guard to all typed array files
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Jian Li
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-08 16:09 PDT by Jian Li
Modified: 2010-10-11 13:17 PDT (History)
2 users (show)

See Also:


Attachments
Proposed Patch (9.62 KB, patch)
2010-10-08 16:14 PDT, Jian Li
abarth: review+
jianli: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jian Li 2010-10-08 16:09:20 PDT
Currently typed array is guarded with 3D_CANVAS. Since it will be used in FileReader and BlobBuilder, we need to change all related files to append File API feature guard.
Comment 1 Jian Li 2010-10-08 16:14:23 PDT
Created attachment 70311 [details]
Proposed Patch
Comment 2 Adam Barth 2010-10-10 12:25:49 PDT
I forget how the webkit-dev thread on this topic went.
Comment 3 Jian Li 2010-10-11 11:31:13 PDT
(In reply to comment #2)
> I forget how the webkit-dev thread on this topic went.

I think we agree to append a feature guard until ArrayBuffer is used in XHR.

https://lists.webkit.org/pipermail/webkit-dev/2010-October/014716.html
Comment 4 Adam Barth 2010-10-11 11:49:07 PDT
Comment on attachment 70311 [details]
Proposed Patch

great, thanks for the link.  Maybe add that information to the change log for easy reference in the future?
Comment 5 Jian Li 2010-10-11 13:17:44 PDT
Updated ChangeLog as suggested and committed as http://trac.webkit.org/changeset/69520.